<?php
  include_once("../header.php");
  include_once("../php/config.php");
  
        
?>
<style>
.form-control, button{
	font-size:18px;
	
}
</style>

<div class="container" style="width: 600px">

	
 
 <div class="panel panel-default">
   <div class="panel-heading">
     <h2 class="text-rojo"> <i class="bi bi-trash"></i> Anular venta</h2>
   </div>
  <div class="panel-body">
    
  <div class="row">

  <div class="col-md-2">
       <input class="form-control" type="number" name="factura" id="factura" value="<?php echo $_GET['id_venta']?>">
</div>   
  <div class="col-md-2">
     <select id="rekardex" class="form-control">
      <option value="si">Si</option>
      <option value="no">No</option>

     </select>
</div> 

<div class="col-md-7">
   <button onclick="ver()" class="btn btn-secondary" id="btn-buscar"><i class="bi bi-search"></i><b>Buscar</b></button>
        <button onclick="anular()" class="btn btn-rojo"><i class="bi bi-trash"></i><b>Anular</b></button>
</div> 

 <hr>
   </div>     
        <div id="lista">
          
        </div>
      </div>

       </div>
     
    </div>
  </div>

 

 </div>



<?php
	include_once("../footer.php");
?>

<script>


  var estado="";
  var fo=""
  var pagado=0;
  var fecha;
  var cliente=""
  var folio_factura=""
  var recarga ="";
    var producto ="";
  $(function(){

	  ver($("#factura").val());
  })
  function ver(){
            var id = $("#factura").val()
            var sql="select * from ventas where id_venta='"+id+"'"
            $("#lista").html("Buscando factura...");
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    pagado = rs.data[i].pagado
					recarga = rs.data[i].recarga
                    fecha = rs.data[i].fecha
                    cliente = rs.data[i].cliente+", "+rs.data[i].ticket
                    folio_factura = rs.data[i].folio
					
                    $("#lista").html("<span class='text-danger h3'>"+rs.data[i].estado+"</span>");
					if(rs.data[i].estado=="Anulada"){
					$("#lista").append("<br><span class='text-primary'>Fecha y hora anulacion: "+rs.data[i].hora_anula+", "+rs.data[i].fecha_anula+"</span>");
                    $("#lista").append("<br><span class='text-primary'>Anulada por: "+rs.data[i].usuario_anula+"</span>");
                    $("#lista").append("<br><span class='text-primary'><b>Motivo de anulacion:</b> "+rs.data[i].motivo_anulacion+"</span>");
          }
					$("#lista").append("<br># Factura: "+rs.data[i].folio);
					$("#lista").append("<br><input type='hidden' id='id_venta00' value='"+rs.data[i].id_venta+"'>");
                    $("#lista").append("<br>Cliente: <span class='text-primary'>"+rs.data[i].cliente+"</span>");
                    $("#lista").append("<br>Fecha: "+rs.data[i].hora);
                    $("#lista").append("<br>Termino: "+rs.data[i].termino);
                    $("#lista").append("<br>NCF: "+rs.data[i].tipo_ncf+" - "+rs.data[i].ncf);
                    $("#lista").append("<br>TOTAL VENTA: "+rs.data[i].total);
                    $("#lista").append("<br>Pago con: "+rs.data[i].pago_con);
                    $("#lista").append("<br>Devuelta: "+rs.data[i].devuelta);
                    $("#lista").append("<br>Impuestos: "+rs.data[i].impuesto);
                    $("#lista").append("<hr>");
				 fo = rs.data[i].folio;	
				   detalle(rs.data[i].id_venta)
                    estado = rs.data[i].estado
					producto = rs.data[i].producto
					
                    
                    

                  }
                
            })
        }

 function detalle(folio){

            var sql="select * from detalle_venta where folio='"+folio+"'"
            //$("#lista").html("Buscando factura...");
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    $("#lista").append("<br><span class='text-primary'>"+rs.data[i].codigo+"-"+rs.data[i].descripcion+"</span>");
                    $("#lista").append("<br>"+rs.data[i].cantidad+" X "+rs.data[i].precio+" = "+parseFloat(rs.data[i].precio) * parseFloat(rs.data[i].cantidad) );
					
                    
                    
                    

                  }
                
            })
        }



 function anular(){
    if(estado=="Anulada"){alert("Ya esta venta se habia anulado!!"); return;}
     var id = $("#factura").val()
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
     

     /*
        if(validAuth!="Ok"){
                   modalAuth00(anular);
                    return;
          }
*/
    var pr = prompt("ESPECIFIQUE EL MOTIVO PARA ANULAR ESTA VENTA");
     if(pr==null){
      pr="";
     }
	var curHora = "<?php echo $hora?>"
	$(".btn").hide();
	$(".navbar").hide();
   $("#lista").html("<span class='text-rojo style='font-size:25px;'>Espere a que el sistema realice las operaciones...</span>");
    var sql="";                            
    sql="update ventas set nota='Venta anulada', costo=0, total=0, estado='Anulada', balance=0, usuario_anula='"+myUser+"', fecha_anula=CURDATE(), hora_anula='"+curHora+"', motivo_anulacion='"+ pr +"' where id_venta='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		   $("#lista").html("<span class='text-rojo style='font-size:25px;'>Espere a que el sistema realice las operaciones... <br>Proceso 1 de 3</span>");
       anular2(recarga)
  /*
       if(fecha==hoySql && pagado>0){
          egreso(fecha,pagado,cliente)
        }
 */

      }else{
		  $(".btn").show();
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



 function anular2(f){
    var sql="";                            
    sql="update recargas set estado='Anulada', actualizacion='Venta declinada por anulacion de factura'  where id='"+f+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
      $("#lista").html("<span class='text-rojo style='font-size:25px;'>Espere a que el sistema realice las operaciones... <br>Proceso 2 de 3</span>"); 
      if($("#rekardex").val()=="si"){
         rekardex();
      }else{
          $("#lista").html("<span class='text-rojo style='font-size:25px;'>ANULACION EXITOSA <br>Proceso 3 de 3</span>");
            ///////alert("Factura anulada"+"\n"+"PRODUCTOS REINGRESADOS AL INVENTARIO");
            /////ver()
          setTimeout(function(){
            window.location.href='../clientes/creditos.php';
          },2000);
      }
       
        

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

 function rekardex(){
	
     $.get("rekardex.php?producto="+producto+"&recarga="+recarga, function(data, st) {
        if (st == "success") {
			if(data=="1"){
			     $("#lista").html("<span class='text-rojo style='font-size:25px;'>ANULACION EXITOSA <br>Proceso 3 de 3</span>");
				///////alert("Factura anulada"+"\n"+"PRODUCTOS REINGRESADOS AL INVENTARIO");
        /////ver()
		  setTimeout(function(){
			  window.location.href='../clientes/creditos.php';
		  },2000)
				
			}
		}
	 });
}



 function egreso(fecha,pagado, cliente){
    

                 
      $("button").prop("disabled", true);

     var monto = pagado;
     var cliente = cliente;
     var concepto = "Egreso por anulacion de factura #:"+folio_factura;
     var tipo = "Otros";
  

    var sql="";      
                  
       
            sql="INSERT INTO egresos set ";
            sql+=" monto='"+monto+"'";
            sql+=", cliente='"+cliente+"'";
            sql+=", pagado_a='"+cliente+"'";
    
            sql+=", concepto='"+concepto+"'";
      sql+=", tipo='"+tipo+"'";
           
            sql+=", usuario='"+myUser+"'";
           
            sql+=", fecha=CURDATE()"; 
            sql+=", hora=CURTIME()"; 
    

        
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
       /// noti("success","Registro grabado con exito","Registro grabado");
        ///$("#delete").hide();
       /// dstry();
      ////  id_producto="";
         $(".modal").modal('hide');
     ////updateCuenta(acuenta, monto)
         imprimir()
         ver()
       ///// setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
      $("button").prop("disabled", false);
       
    })

}

function imprimir(){
$.get("ultimo_registro.php?usuario="+myUser+"&funcion=egresos",function(data,tx)
{
  if(tx=="success"){
    var id_ = data;
    window.open('recibo_egreso.php?id='+id_, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }
})
  
}

</script>
